<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class ClothingSizesProduct extends Model
{
    use HasFactory;
    protected $table = 'clothing_sizes_products';
    protected $guarded = ['id'];

    public function clothingSize()
    {
        return $this->belongsTo(ClothingSize::class, 'clothing_size_id', 'id');
    }

    public function product()
    {
        return $this->belongsTo(Product::class, 'product_id', 'id');
    }
}
